%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname 	xfce4

%define major		0
%define api		1
%define majorkbd	0
%define apikbd		2

%define libname		%mklibname %{oname}ui %{api} %{major}
%define libnamekbd	%mklibname %{oname}kbd-private %{apikbd} %{majorkbd}
%define develname	%mklibname %{oname}ui -d

Summary:	Various Xfce widgets for Xfce desktop environment
Name:		libxfce4ui
Version: 	4.10.0
Release: 	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/libxfce4ui/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		libxfce4ui-4.10.0-linkage.patch
# Patch from upstream git:
# http://git.xfce.org/xfce/libxfce4ui/patch/?id=75f889
Patch1:		libxfce4ui-4.10.0-prefer-exo-open-when-opening-man-pages.patch
BuildRequires:	pkgconfig(gladeui-1.0) >= 3.5.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.4
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.8.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.8.0
BuildRequires:	intltool
BuildRequires:	libsm-devel
Conflicts:      %{_lib}xfce4ui1_0 < 4.8.1-3
Conflicts:	xfce-utils < 4.8.3-3
Obsoletes:	%{name}-i18n < 4.9.0

%description
Various Xfce widgets for Xfce desktop environment.

%package -n %{libname}
Summary:	Gui libraries for Xfce
Group:		Graphical desktop/Xfce
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Gui libraries for Xfce desktop environment.

%package -n %{libnamekbd}
Summary:	Gui libraries for Xfce
Group:		Graphical desktop/Xfce
Conflicts:	%{_lib}xfce4ui1_0 < 4.8.1-2

%description -n %{libnamekbd}
Gui libraries for Xfce desktop environment.

%package -n %{name}-glade
Summary:	Glade modules for %{name}
Group:		Graphical desktop/Xfce
Requires:	glade3
Conflicts:	%{_lib}xfce4ui1_0 < 4.8.1-2

%description -n %{name}-glade
This package provides a catalog for Glade which allows the use of the
provided Xfce widgets in Glade.

%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamekbd} = %{version}-%{release}
Provides:	%{oname}ui-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files for the %{name} library.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-vendor-info=%{_vendor} \
	--disable-static \
	--enable-startup-notification
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

# (tpg) this file is in mandriva-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/xfce4-about
%{_datadir}/applications/xfce4-about.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-logo.png

%files -n %{libname}
%{_libdir}/libxfce4ui-%{api}.so.%{major}*

%files -n %{libnamekbd}
%{_libdir}/libxfce4kbd-private-%{apikbd}.so.%{majorkbd}*

%files -n %{name}-glade
%{_libdir}/glade3/modules/%{name}*
%{_datadir}/glade3/catalogs/%{name}.*
%{_datadir}/glade3/pixmaps/hicolor/*/*/*%{name}*.png

%files -n %{develname}
%doc AUTHORS ChangeLog README NEWS
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*xfce4kbd-private-%{apikbd}.so
%{_includedir}/xfce4/%{name}-*
%{_includedir}/xfce4/*xfce4kbd-private-%{apikbd}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.10.0-3.mga3
+ Revision: 358566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 252502
- prefer exo-open for opening the manual pages (patch from upstream git)
- rediff linking patch

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248427
- new version 4.10.0

* Wed May 02 2012 wally <wally> 4.9.0-3.mga2
+ Revision: 234532
- conflict with old xfce-utils (mga#5721)
- loose versioned requires

* Sun Jan 29 2012 fwang <fwang> 4.9.0-2.mga2
+ Revision: 203007
- i18n package has been merged with main package

* Sun Jan 29 2012 wally <wally> 4.9.0-1.mga2
+ Revision: 202989
- new version 4.9.0
- drop i18n pkg and move files to main pkg

* Sat Dec 24 2011 wally <wally> 4.8.1-3.mga2
+ Revision: 187303
- split i18n files from lib pkg
- add more generic provide to devel pkg

* Sat Dec 24 2011 wally <wally> 4.8.1-2.mga2
+ Revision: 187278
- split out glade modules from lib pkg
- split out xfce4kbd-private from lib pkg

* Sat Dec 24 2011 wally <wally> 4.8.1-1.mga2
+ Revision: 187153
- new version 4.8.1

* Wed Dec 07 2011 fwang <fwang> 4.8.0-4.mga2
+ Revision: 178024
- fix linkage
- br xfconf
- convert to pkgconfig style

  + wally <wally>
    - drop all .la files
    - tag more files as docs

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-2.mga1
+ Revision: 41602
- drop old/unneeded scriptles
- imported package libxfce4ui

